Skip to navigation

Grant user access to document

View as Markdown

Grants a user access to a document. You specify the user’s userId in the request body. The response is an object that specifies the access the user has.

Authentication

Authorizationstring

JWT Authorization header using the Bearer scheme. Example: “Authorization: Bearer {token}”

Path parameters

documentIdintegerRequired
The id of the document.
accountIdstringRequired

The globally unique identifier (GUID) for the account.

Request

Request body with user id that the document has to be granted to
userIdintegerRequired
The ID of the user.

Response

User successfully granted access to document.
userIdintegerOptional
The ID of the user.
documentIdintegerOptional
The ID of the document.
namestringOptional
The file name associated with the document.
hasAccessbooleanOptional

True if the user userId has access to this document.

canApproveTaskbooleanOptional

True if the user userId has can approve a task for this document.

canAssignToTaskListbooleanOptional

True if the user userId can assign this document to a task list.

canCopybooleanOptional

True if the user userId can make a copy of this document.

canDeletebooleanOptional

True if the user userId can delete this document.

canRemoveFromTaskListbooleanOptional

True if the user userId can remove this document from a task list.

canRemoveApprovalbooleanOptional

True if the user userId can remove approval for this document.

canRenamebooleanOptional

True if the user userId can rename this document.

canSharebooleanOptional

True if the user userId can share this document.

canViewActivitybooleanOptional

True if the user userId can view activity on this document.

Errors

400
Bad Request Error
401
Unauthorized Error